// $Id: statusbar.h,v 1.3 2000/11/23 18:00:33 lukas Exp $

#ifndef STATUSBAR_H
#define STATUSBAR_H

#include "KStatusbar.h"

class StatusBar : public KStatusBar {
  // Q_OBJECT

public:
  StatusBar(QWidget *parent= 0, const char *name= 0);

  // public slots:
  void setMessage(const QString & message);


protected:
  void drawContents(QPainter *);

private:
  QString *mess; // Mesage area for menu hints etc.
  QWidget *pal;  // Small palette widget
  QString *info; // Image size/co-ords?

}

#endif // STATUSBAR_H
